Slack notification
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Slack notification action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "SLACK Action",
"type": "SLACK",
"trigger_time": "ON_EVERY_EXECUTION",
"content": "Pipeline Execution successful!",
"channel": "C024BE91L",
"attachments": [
"{\"fallback\":\"${BUDDY_PIPELINE_NAME} execution\",\"color\":\"${color}\",\"fields\":[{\"title\":\"Status\",\"value\":\"Success\"}]}"
],
"variables": [
{
"key": "color",
"value": "good"
}
],
"file_attachments": [
"fs:///file1",
"fs:///file2"
],
"integration": {
"identifier": "slack"
}
}'STATUS200 OK